Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Interface CMSObjectIdentifiers

All Known Implementing Classes:
  ContentInfo

    public interface CMSObjectIdentifiers

Field Summary
`static DERObjectIdentifier` | `authenticatedData`
`static DERObjectIdentifier` | `authEnvelopedData`
`static DERObjectIdentifier` | `compressedData`
`static DERObjectIdentifier` | `data`
`static DERObjectIdentifier` | `digestedData`
`static DERObjectIdentifier` | `encryptedData`
`static DERObjectIdentifier` | `envelopedData`
`static DERObjectIdentifier` | `signedAndEnvelopedData`
`static DERObjectIdentifier` | `signedData`

Field Detail

### data

    static final DERObjectIdentifier data

### signedData

    static final DERObjectIdentifier signedData

### envelopedData

    static final DERObjectIdentifier envelopedData

### signedAndEnvelopedData

    static final DERObjectIdentifier signedAndEnvelopedData

### digestedData

    static final DERObjectIdentifier digestedData

### encryptedData

    static final DERObjectIdentifier encryptedData

### authenticatedData

    static final DERObjectIdentifier authenticatedData

### compressedData

    static final DERObjectIdentifier compressedData

### authEnvelopedData

    static final DERObjectIdentifier authEnvelopedData

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD